package com.fs.hisStore.service;

import com.fs.hisStore.domain.FsStoreOrderLogsScrm;

import java.util.List;

/**
 * 订单操作记录Service接口
 *
 * @author fs
 * @date 2023-08-11
 */
public interface IFsStoreOrderLogsScrmService
{
    /**
     * 查询订单操作记录
     *
     * @param logsId 订单操作记录主键
     * @return 订单操作记录
     */
    public FsStoreOrderLogsScrm selectFsStoreOrderLogsByLogsId(String logsId);

    /**
     * 查询订单操作记录列表
     *
     * @param fsStoreOrderLogs 订单操作记录
     * @return 订单操作记录集合
     */
    public List<FsStoreOrderLogsScrm> selectFsStoreOrderLogsList(FsStoreOrderLogsScrm fsStoreOrderLogs);

    /**
     * 新增订单操作记录
     *
     * @param fsStoreOrderLogs 订单操作记录
     * @return 结果
     */
    public int insertFsStoreOrderLogs(FsStoreOrderLogsScrm fsStoreOrderLogs);

    /**
     * 修改订单操作记录
     *
     * @param fsStoreOrderLogs 订单操作记录
     * @return 结果
     */
    public int updateFsStoreOrderLogs(FsStoreOrderLogsScrm fsStoreOrderLogs);

    /**
     * 批量删除订单操作记录
     *
     * @param logsIds 需要删除的订单操作记录主键集合
     * @return 结果
     */
    public int deleteFsStoreOrderLogsByLogsIds(String[] logsIds);

    /**
     * 删除订单操作记录信息
     *
     * @param logsId 订单操作记录主键
     * @return 结果
     */
    public int deleteFsStoreOrderLogsByLogsId(String logsId);

    int create(Long orderId, String type, String msg);
}
